# User guide

Kbin is a decentralized content aggregator and microblogging platform running on the Fediverse network. It can
communicate with many other ActivityPub services, including Mastodon, Lemmy, Pleroma, Peertube.

The initiative aims to promote a free and open internet.

## Introduction

The platform is divided into thematic categories called magazines. By default, any user can create their own magazine
and automatically become its owner. Then they receive a number of administrative tools that will help them personalize
and moderate the magazine, including appointing moderators from among other users.

Content from the Fediverse is also cataloged based on groups or tags. A registered user can follow magazines, other
users or domains and create his own personalized homepage. There is also the option to block unwanted topics.

Content can be posted on the main page - external links and more relevant articles or on microblog section - aggregating
short posts. All content can be additionally categorized and labeled. Great possibilities to search for interesting
topics and people easily is something that distinguishes Kbin.

Platform is equally suitable for a small personal instance for friends and family, a school or university community,
company platform or a general instance with thousands of active users.

## User guide

### Customization

Everyone has the ability to customize the appearance to suit your preferences. In the sidebar, you'll find an options
button that allows you to adjust a variety of settings, including the ability to choose from four different templates,
enable automatic refreshing of posts and comments, activate infinite scroll, and enable automatic media previews.

By using these options, you can completely transform the appearance of the platform to fit your personal style. Whether
you prefer a minimalist design or a more colorful and lively look, you can easily make the changes that will make your
experience on platform more enjoyable.

So don't be afraid to experiment with the various options available in the sidebar. You might be surprised at just how
much you can change the appearance of the platform to suit your preferences.

(pic1)

### Register account

The process of registering for a user account on a platform usually involves providing a username (which will also serve
as your identifier in the fediverse), password, and email address to receive an activation link.

Another option is to create an account through social media platforms such as Google, Facebook, or Github. In this case,
you can use your social media login credentials to sign up, but you will need to visit your user panel and set up your
username before you can take any actions on the platform. However, **you will have only up to an hour after registration
** to set up your default username before this option expires (Settings > Profile).

(pic2)

### User settings

You are now ready to start using /kbin to connect with others. After registering, you will be directed to your account
settings where you can personalize even more settings to make your experience on our platform even better.

You can access your account settings at any time by clicking on your username located in the header.

(pic3)

We've included a wide range of options that will allow you to customize your experience. Take your time to check all the
options.

* **General:** In this section, you can set your preferred home page (all, subscribed, moderated, favorites), hide adult
  content, set user tagging options, adjust privacy settings, and configure notification settings.

* **Profile:** Here, you can write a few words about yourself (which will be visible in the "People" section), add an
  avatar and cover image.

* **Email:** In this section, you can change your email address. After changing to a new email, you will receive an
  activation link.

* **Password:** In this section, you can change your account password.

* **Blocks:** Here, you can manage blocked accounts, magazines, and domains.

* **Subscriptions:** In this section, you can manage subscriptions to other user accounts, magazines, and domains.

* **Reports:** In this section, you can manage reports from moderated magazines.

* **Statistics:** Here, you can find some charts and numbers related to your account.

### Feed Timelines

### Fediverse

